Panda3D

Public Member Functions | Public Attributes | List of all members
OdeJointCollection Class Reference

## Public Member Functions
| OdeJointCollection (const OdeJointCollection &copy)
void | add_joint (const OdeJoint &joint)
void | add_joints_from (const OdeJointCollection &other)
void | clear ()
OdeJoint | get_joint (int index) const
int | get_num_joints () const
bool | has_joint (const OdeJoint &joint) const
bool | is_empty () const
OdeJointCollection | operator+ (const OdeJointCollection &other) const
| Returns a OdeJointCollection representing the concatenation of the two lists. More...
void | operator+= (const OdeJointCollection &other)
| Appends the other list onto the end of this one. More...
void | operator= (const OdeJointCollection &copy)
OdeJoint | operator[] (int index) const
void | remove_duplicate_joints ()
bool | remove_joint (const OdeJoint &joint)
void | remove_joints_from (const OdeJointCollection &other)
int | size () const
| Returns the number of joints in the collection. More...

## Public Attributes
| get_joint
| get_num_joints

## Detailed Description

Definition at line 22 of file odeJointCollection.h.

## Member Function Documentation

## ◆ operator+()

OdeJointCollection OdeJointCollection::operator+ | ( | const OdeJointCollection & | other | ) | const
| inline

Returns a OdeJointCollection representing the concatenation of the two lists.

Definition at line 33 of file odeJointCollection.I.

## ◆ operator+=()

void OdeJointCollection::operator+= | ( | const OdeJointCollection & | other | ) |
| inline

Appends the other list onto the end of this one.

Definition at line 24 of file odeJointCollection.I.

## ◆ size()

int OdeJointCollection::size | ( |  | ) | const

Returns the number of joints in the collection.

This is the same thing as get_num_joints().

Definition at line 155 of file odeJointCollection.cxx.

The documentation for this class was generated from the following files:

- panda/src/ode/odeJointCollection.h
- panda/src/ode/odeJointCollection.cxx
- panda/src/ode/odeJointCollection.I